Subject: Re: [dtc] Add support for flat device tree format version 17

From: Jerry Van Baren <[email-masked]>
Date: Wed, 14 Mar 2007 17:11:04 -0400

Timur Tabi wrote:
> David Gibson wrote:
>> libfdt defined a new version of the flattened device tree format,
>> version 17.  It is backwards compatible with version 16, just adding
>> an extra header field giving the size of the blob's structure blob.
> 
> Question:
> 
> Since the DTB is compatible with V16, then technically U-Boot can work with it.  What 
> would happen if U-Boot added some nodes to the DTB, but it didn't update size_dt_struct? 
> Would the value of size_dt_struct still be correct?  If not, then does that mean that 
> U-Boot should reject V17 DTBs?

Ahh, now I see your concern and don't know the answer at this point.

The best solution, which I'm making progress on but slowly, is to pull 
David Gibson's libfdt utilities into u-boot and use them to manipulate 
the tree.  I very much want v17 blobs because that removes my 
"write-in-place" restrictions on changing the properties.

gvb